/*
 * FTM 
 * Copyright (C) 1994, 1995, 1998, 1999, 2007 by IRCAM-Centre Georges Pompidou, Paris, France.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1
 * of the License, or (at your option) any later version.
 * 
 * See file COPYING.LIB for further informations on licensing terms.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#ifndef _DATA_BPFEDITOR_H_
#define _DATA_BPFEDITOR_H_

#include "fts.h"

typedef struct _bpfeditor_
{
  fts_object_t o;
  
  int opened; /* non zero if editor open */
  int win_w;  /* window width */
  int win_h;  /* window height */
  float min_val; /* minimum value */
  float max_val; /* maximum value */
  
  int back_color; /* background color */
  int fore_color; /* foreground color */
  
  float zoom; /* zoom */
  
  bpf_t *bpf;
} bpfeditor_t;

DATA_API fts_symbol_t bpfeditor_symbol;
DATA_API fts_class_t *bpfeditor_type;

DATA_API void bpfeditor_dump_gui(bpfeditor_t *self, fts_dumper_t *dumper);

#define bpfeditor_get_max_value(b) ((b)->max_val)
#define bpfeditor_get_min_value(b) ((b)->min_val)
#define bpfeditor_set_max_value(b, m) ((b)->max_val = (m))
#define bpfeditor_set_min_value(b, m) ((b)->min_val = (m))

#define bpfeditor_set_win_size(b, w, h) ((b)->win_w = (w), (b)->win_h = (h))
#define bpfeditor_get_win_width(b) ((b)->win_w)
#define bpfeditor_get_win_height(b) ((b)->win_h)

#define bpfeditor_get_back_color(b) ((b)->back_color)
#define bpfeditor_set_back_color(b, c) ((b)->back_color = (c))
#define bpfeditor_get_fore_color(b) ((b)->fore_color)
#define bpfeditor_set_fore_color(b, c) ((b)->fore_color = (c))

#define bpfeditor_get_zoom(b) ((b)->zoom)
#define bpfeditor_set_zoom(b, z) ((b)->zoom = (z))

#endif

