/*
 * FTM
 * Copyright (C) 2004 by IRCAM-Centre Georges Pompidou, Paris, France.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1
 * of the License, or (at your option) any later version.
 * 
 * See file COPYING.LIB for further informations on licensing terms.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

typedef struct
{
  fts_object_t head;
  fts_hashtable_t object_table;
  int object_id_count;
  fts_memorystream_t *upload_buffer;
} client_t;

FTS_API void fts_client_send_message(fts_object_t *obj, fts_symbol_t selector, int ac, const fts_atom_t *at);
FTS_API void fts_client_register_object( fts_object_t *obj);
FTS_API void fts_client_release_object( fts_object_t *obj);

FTS_API void fts_register_object(fts_object_t *obj); /* don't set client id */


FTS_API void fts_client_release_all_objects(void);
FTS_API fts_object_t *fts_client_get_object(int obj_id);

FTS_API void fts_client_upload_object( fts_object_t *obj);
FTS_API void fts_client_upload_all_existing_objects(void);

#define fts_client_send_message ftmrte_client_send_message

/* former FTS private */

FTS_API fts_class_t *fts_client_class;

/* 
(fd) WRONG!!!: the client_t structure is internal to fts/client.c and has never been
 visible.
 This is used (apart from client.c) ***only*** in config.c. Thus config.c must be fixed.
 Moreover, the naming does not comply to fts standard naming for non-static functions,
 structures and variables.
 */
FTS_API client_t *object_get_client( fts_object_t *obj);
