/*
 * FTM
 * Copyright (C) 2004 by IRCAM-Centre Georges Pompidou, Paris, France.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1
 * of the License, or (at your option) any later version.
 * 
 * See file COPYING.LIB for further informations on licensing terms.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */
#ifndef FTS_FTS_H_
#define FTS_FTS_H_

#ifdef WIN32
#if defined(FTSDLL_EXPORTS)
#define FTS_API __declspec(dllexport)
#else
#define FTS_API __declspec(dllimport)
#endif
#else
#define FTS_API extern
#endif

#include <stdio.h>

#define FTS_MODULE_INIT(m) void fts_module_##m##_init(void); void fts_module_##m##_init(void)
#define FTS_MODULE_INIT_CALL(m) { extern void fts_module_##m##_init(void); fts_module_##m##_init(); }

/* *** The inclusion order is important *** */
#include "ftsconfig.h"
#include "types.h"
#include "status.h"
#include "mem.h"
#include "symbol.h"
#include "stack.h"
#include "fifo.h"
#include "iterator.h"
#include "hashtable.h"
#include "list.h"
#include "objectlist.h"
#include "atom.h"
#include "array.h"
#include "object.h"
#include "variable.h"
#include "class.h"
#include "function.h"
#include "tokenizer.h"
#include "expression.h"
#include "tuple.h"
#include "message.h"
#include "dumper.h"
#include "bytestream.h"
#include "patcherobject.h"
#include "patcher.h"
#include "post.h"
#include "midievent.h"
#include "file.h"
#include "atomfile.h"
#include "midifile.h"
#include "audiofile.h"
#include "client.h"
#include "timebase.h"

/* FTS utilities */
#include "cubic.h"
#include "vec_fft.h"
#include "random.h"
#include "floatfuns.h"
#include "utils.h"

/* FTS classes */
#include "data.h"
#include "guiinterfaces.h"
#include "mat.h"
#include "fmat.h"
#include "fvec.h"
#include "dict.h"
#include "bpf.h"
#include "tree.h"
#include "bpfeditor.h"
#include "mateditor.h"
#include "tabeditor.h"

#include "event.h"
#include "sequence.h"
#include "marker.h"
#include "note.h"
#include "seqmess.h"
#include "track.h"
#include "trackeditor.h"

/* misc */
#define fts_audio_get_sr() (ftmrte_audio_get_sr())
#define fts_audio_get_vs() (ftmrte_audio_get_vs())

#endif
