/*
 * FTM 
 * Copyright (C) 1994, 1995, 1998, 1999, 2007 by IRCAM-Centre Georges Pompidou, Paris, France.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1
 * of the License, or (at your option) any later version.
 * 
 * See file COPYING.LIB for further informations on licensing terms.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#ifndef _GUI_INTERFARCES_H_
#define _GUI_INTERFARCES_H_

//#include "fts.h"

typedef struct fts_gui_interface
{
  fts_symbol_t name;
} fts_gui_interface_t;

#define fts_object_get_gui_interface(o, s) (fts_class_gui_interface_get((o)->cl, s))

/***********************************************************
 *
 *  bpf GUI interface
 *
 */

typedef int (*fts_gui_interface_bpf_get_size_t)(void *obj);
typedef double (*fts_gui_interface_bpf_get_time_t)(void *obj, int index);
typedef double (*fts_gui_interface_bpf_get_value_t)(void *obj, int index);
typedef void (*fts_gui_interface_bpf_insert_point_t)(void *obj, double time, double value);
typedef void (*fts_gui_interface_bpf_set_point_t)(void *obj, int index, double time, double value);
typedef void (*fts_gui_interface_bpf_remove_points_t)(void *obj, int start_index, int size);

typedef struct fts_gui_interface_bpf
{
  fts_gui_interface_t head;
  fts_gui_interface_bpf_get_size_t get_size;
  fts_gui_interface_bpf_get_time_t get_time;
  fts_gui_interface_bpf_get_value_t get_value;
  fts_gui_interface_bpf_insert_point_t insert_point;
  fts_gui_interface_bpf_set_point_t set_point;
  fts_gui_interface_bpf_remove_points_t remove_points;
} fts_gui_interface_bpf_t;

/***********************************************************
 *
 *  fvec GUI interface
 *
 */

typedef int (*fts_gui_interface_fvec_get_size_t)(void *obj);
typedef double (*fts_gui_interface_fvec_get_value_t)(void *obj, int index);
typedef double (*fts_gui_interface_fvec_get_max_value_t)(void *obj);
typedef double (*fts_gui_interface_fvec_get_min_value_t)(void *obj);

typedef struct fts_gui_interface_fvec
{
  fts_gui_interface_t head;
  fts_gui_interface_fvec_get_size_t get_size;
  fts_gui_interface_fvec_get_value_t get_value;
  fts_gui_interface_fvec_get_max_value_t get_max_value;
  fts_gui_interface_fvec_get_min_value_t get_min_value;
} fts_gui_interface_fvec_t;

#endif
