/*
 * FTM
 * Copyright (C) 2004 by IRCAM-Centre Georges Pompidou, Paris, France.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1
 * of the License, or (at your option) any later version.
 * 
 * See file COPYING.LIB for further informations on licensing terms.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */
#ifndef _FTS_PATCHER_H_
#define _FTS_PATCHER_H_

struct fts_patcher
{
  fts_object_t head;
  fts_objectlist_t objects;
  int size;
  fts_hashtable_t definitions;
  fts_hashtable_t values;
};

FTS_API fts_class_t *patcher_class;

FTS_API void fts_patcher_add_object(fts_patcher_t *self, fts_object_t *obj);
FTS_API void fts_patcher_remove_object(fts_patcher_t *self, fts_object_t *obj);

FTS_API fts_patcher_t *fts_get_root_patcher(void);
#define fts_get_globals() (&(fts_get_root_patcher()->values))

#define fts_patcher_get_size(p) ((p)->size)

#define fts_patcher_get_scope(p) (p)

#define fts_patcher_get_definitions(p) (&(p)->definitions)
#define fts_patcher_get_values(p) (&(p)->values)

#endif
