/*
 * FTM
 * Copyright (C) 2004 by IRCAM-Centre Georges Pompidou, Paris, France.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1
 * of the License, or (at your option) any later version.
 * 
 * See file COPYING.LIB for further informations on licensing terms.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

typedef struct fts_object fts_object_t;
typedef struct fts_class fts_class_t;
typedef struct fts_schema fts_schema_t;

typedef struct fts_array fts_array_t;
typedef struct fts_dumper fts_dumper_t;
typedef struct fts_bytestream fts_bytestream_t;

typedef struct fts_patcher fts_patcher_t;

/* TODO: transition to standard C99 complex type */
typedef struct fts_complex fts_complex_t;

/* include FTM platform depended type implementation */
#include "ftmtypes.h"

typedef ftmrte_symbol_t fts_symbol_t;
typedef ftmrte_word_t fts_word_t;
typedef ftmrte_atom_t fts_atom_t;

typedef struct fts_status_description *fts_status_t;
typedef struct fts_status_description *fts_method_status_t;

typedef fts_method_status_t (*fts_method_t)(fts_object_t *, fts_symbol_t , int, const fts_atom_t *, fts_atom_t *);
typedef fts_status_t (*fts_fun_t) (fts_object_t *, fts_symbol_t , int, const fts_atom_t *, fts_atom_t *);

typedef struct _event_ event_t;
typedef struct _sequence_ sequence_t;

/* supress connection type */
typedef void fts_connection_t;
